Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Class BaseService

    java.lang.Object
      org.apache.turbine.services.BaseInitable
          org.apache.turbine.services.BaseService

All Implemented Interfaces:
  Initable, Service

Direct Known Subclasses:
  TurbineBaseService

    public class BaseService

extends BaseInitable
implements Service

This class is a generic implementation of `Service`.

Version:
  $Id: BaseService.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Kevin Burton, Rafal Krzewski, Henning P. Schmiedehausen

Field Summary
`protected org.apache.commons.configuration.Configuration` | `configuration` The configuration for this service
`protected String` | `name` The name of this Service.
`protected ServiceBroker` | `serviceBroker` A reference to the ServiceBroker that instantiated this object.

Fields inherited from class org.apache.turbine.services.BaseInitable
`initableBroker, isInitialized`

Fields inherited from interface org.apache.turbine.services.Service
`SERVICE_NAME`

Constructor Summary
`BaseService()`

Method Summary
`org.apache.commons.configuration.Configuration` | `getConfiguration()` Returns the configuration of this Service.
`String` | `getName()` Returns the name of this service.
`Properties` | `getProperties()` Returns the properties of this Service.
`ServiceBroker` | `getServiceBroker()` Returns a ServiceBroker reference.
`void` | `setName(String name)` ServiceBroker uses this method to pass a Service its name.
`void` | `setServiceBroker(ServiceBroker broker)` Saves a reference to the ServiceBroker that instantiated this object, so that it can ask for its properties and access other Services.

Methods inherited from class org.apache.turbine.services.BaseInitable
`getInit, getInitableBroker, init, init, setInit, setInitableBroker, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### serviceBroker

    protected ServiceBroker serviceBroker

  A reference to the ServiceBroker that instantiated this object.

### configuration

    protected org.apache.commons.configuration.Configuration configuration

  The configuration for this service

### name

    protected String name

  The name of this Service.

Constructor Detail

### BaseService

    public BaseService()

Method Detail

### setServiceBroker

    public void setServiceBroker(ServiceBroker broker)

  Saves a reference to the ServiceBroker that instantiated this object, so that it can ask for its properties and access other Services.

  Specified by:
    `setServiceBroker` in interface `Service`
  Parameters:
    `broker` - The ServiceBroker that instantiated this object.

### setName

    public void setName(String name)

  ServiceBroker uses this method to pass a Service its name.

  Specified by:
    `setName` in interface `Service`
  Parameters:
    `name` - The name of this Service.

### getName

    public String getName()

  Returns the name of this service.

  Specified by:
    `getName` in interface `Service`
  Returns:
    The name of this Service.

### getServiceBroker

    public ServiceBroker getServiceBroker()

  Returns a ServiceBroker reference.

  Returns:
    The ServiceBroker that instantiated this object.

### getProperties

    public Properties getProperties()

  Returns the properties of this Service.

  Specified by:
    `getProperties` in interface `Service`
  Returns:
    The Properties of this Service.

### getConfiguration

    public org.apache.commons.configuration.Configuration getConfiguration()

  Returns the configuration of this Service.

  Specified by:
    `getConfiguration` in interface `Service`
  Returns:
    The Configuration of this Service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.